using Chloe;
using Chloe.Infrastructure;
using Chloe.RDBMS.DDL;
using Chloe.SQLite;
using Chloe.SQLite.DDL;
using DNSD_DB.Mapper;

namespace DNSD_DB
{
    public class SqlLiteTool
    {


        public static void CreateTable(string db)
        {
            DbConfiguration.UseTypeBuilders(typeof(RFIDConfigEntityMap));
            DbConfiguration.UseTypeBuilders(typeof(RFIDLogsEntityMap));



            IDbContext dbContext = new SQLiteContext(new SQLiteConnectionFactory(db));
            new SQLiteTableGenerator(dbContext).CreateTables(TableCreateMode.CreateIfNotExists);
        }


        public static IDbContext GetDb(string db)
        {
            IDbContext dbContext = new SQLiteContext(new SQLiteConnectionFactory(db));
            return dbContext;
        }
    }
}